class OrbitBackendController< ApplicationController
  before_filter :force_order,:except => [:public]
  before_filter :setup_vars
 # before_filter {|c| c.front_end_available(@app_title)}
  # before_filter :check_user_can_use
  include OrbitCoreLib::PermissionUnility
  include AdminHelper
  
  layout 'admin'
  
  def setup_vars
    @app_title = request.fullpath.split('/')[2]
    @module_app = ModuleApp.first(conditions: {:key => @app_title} )
  end
  
  private
  
  def force_order
    authenticate_user!
    check_user_can_use
  end

  def check_user_can_use 
    unless check_permission
      redirect_to polymorphic_path(['panel',@app_title,'back_end','public'])
    end
  end
  
end